%if 0%{?rhel} && 0%{?rhel} <= 6
%global __python2 python27
%global __tkinter tkinter27
%else
%global __python2 python
%global __tkinter tkinter
%endif
%global python2_sitelib %(python2.7 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")

%global with_python3 1
%global __python3 python36
%global python3_sitelib %(python3.6 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")

%global pypi_name certifi
%global __sum  Python package for providing Mozilla's CA Bundle
%global __desc Certifi is a carefully curated collection of Root Certificates for validating the trustworthiness of SSL certificates while verifying the identity of TLS hosts. It has been extracted from the Requests project. Please note that this Fedora package does not actually include a certificate collection at all. It reads the system shared certificate trust collection instead. For more details on this system, see the ca-certificates package.

Name:           %{__python2}-%{pypi_name}
Version:        2016.9.26
Release:        1%{?dist}
Summary:        %{__sum}

Group:          Development/Languages
License:        MPLv2.0
URL:            http://pypi.python.org/pypi/%{pypi_name}/
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  %{__python2}-devel
BuildRequires:  %{__tkinter}
Requires:       ca-certificates

Provides:       %{__python2}-%{pypi_name} = %{version}-%{release}


%if 0%{?with_python3}
BuildRequires:  %{__python3}
%endif

%description
%{__desc}

This is the Python 2 build of the module.

%if 0%{?with_python3}
%package -n %{__python3}-%{pypi_name}
Summary:        %{__sum}
Group:          Development/Languages
Requires:       %{__python3}-six
Requires:       %{__python3}-pyparsing
Provides:       %{__python3}-%{pypi_name} = %{version}-%{release}
Requires:       ca-certificates

%description -n %{__python3}-%{pypi_name}
%{__desc}

This is the Python 3 build of the module.
%endif

%package -n %{__python2}-%{pypi_name}-doc
Summary:        python-packaging documentation
%description -n %{__python2}-%{pypi_name}-doc
Documentation for python-packaging


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info
rm -rf certifi/*.pem
#drop shebangs from python_sitearch
find %{_builddir}/%{pypi_name}-%{version} -name '*.py' \
    -exec sed -i '1{\@^#!/usr/bin/env python@d}' {} \;


%build
%if 0%{?with_python3}
python3.6 setup.py build
%endif
python2.7 setup.py build

%install
%if 0%{?with_python3}
python3.6 setup.py install --root %{buildroot} --optimize=1
%endif
python2.7 setup.py install --root %{buildroot} --optimize=1


#%check
#py.test-%{python2_version} -rfsxX test_six.py
#%if 0%{?with_python3}
#py.test-%{python3_version} -rfsxX test_six.py
#%endif


%files
%doc README.rst
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n %{__python3}-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}*
%endif

%changelog

